Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.builder
Interface Builder

All Known Implementing Classes:
  ApplicationXMLBuilder, DataSourceBuilder, MIMEBuilder, MTOMBuilder, MultipartFormDataBuilder, SOAPBuilder, UnknownContentBuilder, XFormURLEncodedBuilder

    public interface Builder

Message builder able to convert a byte stream into a SOAP infoset. Message builders are used by `TransportListener` implementations to process the raw payload of the message and turn it into SOAP. Transports should use `BuilderUtil.getBuilderFromSelector(String, MessageContext)` to select the message builder appropriate for the content type of the message.

Method Summary
`org.apache.axiom.om.OMElement` | `processDocument(java.io.InputStream inputStream, java.lang.String contentType, MessageContext messageContext)` Process a message.

Method Detail

### processDocument

    org.apache.axiom.om.OMElement processDocument(java.io.InputStream inputStream,
                                                  java.lang.String contentType,
                                                  MessageContext messageContext)
                                                  throws AxisFault

  Process a message.

  The raw content of the message is provided as an input stream. It is the responsibility of the caller (typically a transport implementation) to close the stream after the message has been processed (more precisely after the SOAP infoset returned by this method is no longer used). This implies that implementations are not required to consume the input stream during the execution of this method. This enables deferred parsing of the message.

  Parameters:
    `inputStream` - the byte stream with the raw payload
    `contentType` -
    `messageContext` -
  Returns:
    The SOAP infoset for the given message.
  Throws:
    `AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.